# read last update for Brazil & French Guyana
# from data\dates_recup_donnees_syst_surveillance.txt
#library(readr)
#library(stringr)
#library(lubridate)

last_update <- function(ftxt="data/dates_recup_donnees_syst_surveillance.txt") {
  data_txt <- readLines(ftxt)
  sapply(strsplit(data_txt, " "), function(X) {
    #Y <- lubridate::ymd(X[2], quiet=T) %>% list()
    Y <- tryCatch(list(as.Date(X[2])), error = function(e) "NA")
    names(Y) <- X[1]
    return(Y)
  })
}
