# Mise à jour données OSM

library(osmdata)

f_hosp <- "data/osm/hospital_guyamapa.osm"
f_clin <- "data/osm/clinic_guyamapa.osm"

# function : update OSM data 
try({
  bbox_guyam <- "(-1.24,-54.88,5.78,-49.34)"
  q_hosp_guyam <- paste0(
    "( nwr[amenity=hospital]", bbox_guyam, "; ); out center;")
  q_clin_guyam <- paste0(
    "( nwr[amenity=clinic]", bbox_guyam, "; ); out center;")
  result_hosp <- osmdata_xml(q_hosp_guyam, filename=f_hosp)
  result_clin <- osmdata_xml(q_clin_guyam, filename=f_clin)
  print("OSM data updated !")
})